Title 'ANZ_S01a.sas       1998-6-8 / 2000-01-24   Y.Takahahsi ' ;
Title2 ' <<< pig / BP  >>>' ;
libname  SEM  'U:TKHY\ANZ_TKH_Seminar' ;

data  D0 ;
    input    ID  G @ ;
    DOSE  =  'D0     ' ;
    TIME  =  0 ;
    input    T0 @;
    G2    =  0 ;
    Y     =  T0 ;
    output ;
    G2    =  G ;

    DOSE = 'D1    ' ;
    do  TIME = 15, 30 ;
      input  Y @ ;
      output ;
    end ;

    DOSE = 'D12    ' ;
    do  TIME = 45, 60 ;
      input  Y @ ;
      output ;
    end ;

    DOSE = 'D123   ' ;
    do  TIME = 75, 90 ;
      input  Y @ ;
      output ;
    end ;


    do  TIME = 105, 120 ;
      if (TIME = 105) then   DOSE = 'D123a15' ;
      if (TIME = 120) then   DOSE = 'D123a30' ;
      input  Y @ ;
      output ;
    end ;


       /*    D1--------- D2--------- D3---------- - - - - - - */
       /*  T0    15    30    45    60    75    90   105   120 */
datalines ;
  1    1  110   107   105   108   105   107   110   110   115
  2    1  100   100   100   100   102   100   102   104   103
  3    1  107   108   108   107   106   106   106   103   105
  4    1   97    97   100    97    98   100    97   100   100
  5    1  108   105   105   105   108   105   106   108   108
  6    1   87    87    90    86    88    85    86    86    87
  7    2  108   105   105   100   100   103   100    99   106
  8    2   99    95    93    93    90    92    91    92    94
  9    2  117   116   116   113   111   105   104   105   100
  10   2  112   106   106   102   102    99   100   100   100
  11   2  112   112   110   100   100   100    96    99    99
  12   2   95    93    93    91    88    88    85    87    87
  13   3  122   125   125   117   120   115   125   130   128
  14   3  107   105   110   108   108   106   110   110   103
  15   3   97    98   100    98    99    90    88    95   102
  16   3  100   100    98   102    98    94    93    98   100
  17   3  112   109   100   100   109   103   110   115   112
  18   3   91    90    88    87    85    83    82    85    90
  ;
data  SEM.PIG_B ;
    set  D0 ;
run ;


data  D01 ;
    set  D0 ;
    Y_diff = Y - T0 ;

proc  print  data=D01 ;
run ;

proc  tabulate data=D01 noseps format=6. ;
    class  G  G2  DOSE  TIME ID ;
    var    Y ;
*    table  G*(ID all*(n (mean STD)*f=6.1)), DOSE*TIME*Y ;
    table  G*(   all*(n (mean STD)*f=6.1)) all*(n mean*f=6.1) ,
                   DOSE*TIME=' '*Y=' ' ;
    keylabel  sum=' ' ;
run ;

Title3  ' <<< Mixed   type=cs >>> ' ;
proc  mixed  data=D01 ;
    class   ID  G2  DOSE TIME  ;
    model   Y = G2  DOSE  G2*DOSE  / ddfm=satterth solution  ;
    lsmeans     G2*DOSE            / diff=control('0' 'D0') cl ;
    random  ID  ID*G2*DOSE         / solution ;
run ;


Title3  ' <<< Mixed   type=cs >>> ' ;
proc  mixed  data=D01 ;
    where   G=2 ;
    class   ID    DOSE   ;
    model   Y =   DOSE   / ddfm=satterth solution  ;
    lsmeans     DOSE    / diff=control( 'D0') cl ;
    random  ID           / solution ;
    by      G ;
run ;


Title3  ' <<< Mixed   type=cs >>> ' ;
proc  mixed  data=D01 ;
    where   G=2 ;
    class   ID    DOSE   ;
    model   Y = ID  DOSE   / ddfm=satterth solution  ;
    lsmeans     DOSE    / diff=control( 'D0') cl ;
    by      G ;
run ;
